Package com.macrofocus.high_d.clustering

# Class AbstractClustering<Component,Color,Row,Column>

java.lang.Object
com.macrofocus.high_d.clustering.AbstractClustering<Component,Color,Row,Column>

All Implemented Interfaces:
  `Clustering<Component,Color,Row,Column>`

Direct Known Subclasses:
  `JavaFXClustering`

public abstract class AbstractClustering<Component,Color,Row,Column> extends Object implements Clustering<Component,Color,Row,Column>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected com.macrofocus.molap.subset.SingleBinningDimension<Row,?>`
  `binningDimension`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractClustering(HighDFactory<Component,Color,?,?,Row,Column,?> factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract com.macrofocus.high_d.filters.CategoricalFilterComponent<Component,Color>`
  `createCategoricalFilterComponent(HighDFactory factory)`
  `Component`
  `getNativeComponent()`
  `void`
  `setModel(HighDFactory factory, com.macrofocus.molap.subset.SingleBinningDimension<Row,?> model)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### binningDimension

    protected com.macrofocus.molap.subset.SingleBinningDimension<Row,?> binningDimension

- ## Constructor Details

  - ### AbstractClustering

    public AbstractClustering(HighDFactory<Component,Color,?,?,Row,Column,?> factory)

- ## Method Details

  - ### setModel

    public void setModel(HighDFactory factory, com.macrofocus.molap.subset.SingleBinningDimension<Row,?> model)
    Specified by:
      `setModel` in interface `Clustering<Component,Color,Row,Column>`

  - ### createCategoricalFilterComponent

    public abstract com.macrofocus.high_d.filters.CategoricalFilterComponent<Component,Color> createCategoricalFilterComponent(HighDFactory factory)

  - ### getNativeComponent

    public Component getNativeComponent()
    Specified by:
      `getNativeComponent` in interface `Clustering<Component,Color,Row,Column>`